Subject: Re: [EAI] IDN domains and EAI

From: Shawn Steele <[email-masked]>
Date: Wed, 7 May 2014 14:44:26 +0000

>> Well, nothing says [email-masked] has to be considered equal to 
>> asdf@b??h.blah,

>"Equal to" in what sense?  Assuming that the xn--blah and b??h are 
>corresponding A-label and U-label, then they have to be "considered equal" 
>in some sense, since exactly one of those is going to be in the DNS.

I think the punycode hack form should be strongly discouraged in EAI mail, but agree that it can't be forbidden.  I think that clearly somewhere in DNS they should resolve to the right place, however depending on the situation I'm not sure that all scenarios need to know that they are equal.  Eg:  [email-masked] and [email-masked] both go to the same mailbox, but how would your mail client know that?  Ditto for [email-masked] and [email-masked] which even have different domains.

So I think in many cases it'd be "nice" if it realized they were the same, but not critical.  The one spot that it's probably critical is on the server side so that it goes to the right mailbox.

-Shawn

 
http://blogs.msdn.com/shawnste
http://L3-G0.blogspot.com